# My LINUX ShortCuts Commands
1/ history :Display commands issued in the terminal

2/ To run a command from history type:  !#

3/ Select all : ctrl+a 

4/ To open a terminal in the VS code : ctrl+~

5/ code .   open a new window in vscode and display everything in the current directory.

6/ open a preivew for md file in vs code:  ctrl +shift +v

7/cp file1 file2

8/mv file1 file2

9/grep root /etc/passwd

10/rmdir dir

11/rm file

12/ls -l file (date and time indicates when you ran touch)

13/diff file1 file2

14/echo $PATH

sudo systemctl status 

sudo systemctl restart

#ip addr show

yum install net-tools             [Provides ifconfig utility]

 echo $HOSTNAME

To set new HOSTNAME we need to edit ‘/etc/hostsname‘ and replace old hostname with the desired one.

If you would like to change default port (80) of Apache HTTP Server to any other port. You need to edit the configuration file ‘/etc/httpd/conf/httpd.conf‘ and search for the line that starts typically like:
LISTEN 80 Change port number ‘80‘ to any other port (say 3221), save and exit.



